Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeCalendarContainer

All Superinterfaces:
  ICalendarContainer, IContainer, IExchangeContainer, IGroupwareContainer, IItem, java.io.Serializable

All Known Subinterfaces:
  IMapiCalendarContainer, IWebdavCalendarContainer

public interface IExchangeCalendarContainer
extends ICalendarContainer, IExchangeContainer

Container class that holds appointments. Its container class is `container.appointments.exchange`.

Field Summary
`static ContainerClass` | `CLASS` The `ContainerClass` that represents an `IExchangeCalendarContainer`.

Fields inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`KEYID_TOTAL_ITEM_COUNT, KEYID_UNREAD_ITEM_COUNT, TOTAL_ITEM_COUNT, UNREAD_ITEM_COUNT`

Fields inherited from interface com.compoze.collab.IContainer
`CONTAINER_CLASS, HAS_SUBCONTAINERS, HOLDS_ITEMS, HOLDS_SUBCONTAINERS, KEYID_CONTAINER_CLASS, KEYID_HAS_SUBCONTAINERS, KEYID_HOLDS_ITEMS, KEYID_HOLDS_SUBCONTAINERS, KEYID_NAME, KEYID_SUBCONTAINER_COUNT, MINIMUM_CONTAINER_KEYS, NAME, SUBCONTAINER_COUNT`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Method Summary
`IExchangeAppointment[]` | `getAppointments(java.util.Date startTime, java.util.Date endTime, boolean bExpand, FetchProfile fp)` Gets the appointments from the container, optionally expanding recurring items.
`IExchangeAppointment[]` | `getAppointments(java.util.Date startTime, java.util.Date endTime, FetchProfile fp)` Gets the appointments from the container, expanding recurring items.

Methods inherited from interface com.compoze.collab.groupware.ICalendarContainer
`getAppointments, getAppointments, getAppointments`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareContainer
`getTotalItemCount, getUnreadItemCount`

Methods inherited from interface com.compoze.collab.IContainer
`add, add, add, addSubcontainer, copyTo, getContainerClass, getItemCount, getItemCount, getItems, getItems, getItems, getItems, getItems, getName, getSubcontainer, getSubcontainer, getSubcontainers, getSubcontainers, hasSubcontainer, holdsItems, holdsSubcontainers, isUnder, moveTo, setName`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.exchange.IExchangeContainer
`getAccessControl, synchronize`

Field Detail

### CLASS

    public static final ContainerClass CLASS

  The `ContainerClass` that represents an `IExchangeCalendarContainer`. The container class is `container.appointments.exchange`.

Method Detail

### getAppointments

    public IExchangeAppointment[] getAppointments(java.util.Date startTime,
                                                  java.util.Date endTime,
                                                  FetchProfile fp)
                                           throws CollaborationException

  Gets the appointments from the container, expanding recurring items.
  Parameters:
    `startTime` - the start time to search
    `endTime` - the end time to search to
    `fp` - the fetch profile (must be able to add keys)
  Returns:
    a list of appointments
  Throws:
    `CollaborationException` - if there was an error getting the appointments

### getAppointments

    public IExchangeAppointment[] getAppointments(java.util.Date startTime,
                                                  java.util.Date endTime,
                                                  boolean bExpand,
                                                  FetchProfile fp)
                                           throws CollaborationException

  Gets the appointments from the container, optionally expanding recurring items.
  Parameters:
    `startTime` - the start time to search
    `endTime` - the end time to search to
    `bExpand` - `true` to expand recurring appointments (may result in performance issues)
    `fp` - the fetch profile (must be able to add keys)
  Returns:
    a list of appointments
  Throws:
    `CollaborationException` - if there was an error getting the appointments

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.